Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.abase.parser.antlr
Class ABaseParser

    java.lang.Object
      org.eclipse.xtext.parser.AbstractParser
          org.eclipse.xtext.parser.antlr.AbstractAntlrParser
              org.eclipse.amp.amf.abase.parser.antlr.ABaseParser

All Implemented Interfaces:
  org.eclipse.xtext.parser.antlr.IAntlrParser, org.eclipse.xtext.parser.IParser

    public class ABaseParser

extends org.eclipse.xtext.parser.antlr.AbstractAntlrParser

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.xtext.parser.antlr.IAntlrParser
`org.eclipse.xtext.parser.antlr.IAntlrParser.NullParser`

Constructor Summary
`ABaseParser()`

Method Summary
`ABaseGrammarAccess` | `getGrammarAccess()`
`void` | `setGrammarAccess(ABaseGrammarAccess grammarAccess)`

Methods inherited from class org.eclipse.xtext.parser.antlr.AbstractAntlrParser
`doParse, doParse, getElementFactory, getLexerProvider, getPartialParser, getSyntaxErrorProvider, getTokenDefProvider, getUnorderedGroupHelper, parse, parse, setElementFactory, setLexerProvider, setPartialParser, setSyntaxErrorProvider, setTokenDefProvider, setUnorderedGroupHelper`

Methods inherited from class org.eclipse.xtext.parser.AbstractParser
`parse, parse, reparse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.xtext.parser.IParser
`parse, parse, reparse`

Constructor Detail

### ABaseParser

    public ABaseParser()

Method Detail

### getGrammarAccess

    public ABaseGrammarAccess getGrammarAccess()

### setGrammarAccess

    public void setGrammarAccess(ABaseGrammarAccess grammarAccess)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD